Bug 1146175 - resize-guest not working with f21 host/guest/client
Summary: resize-guest not working with f21 host/guest/client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-24 16:14 UTC by Cole Robinson
Modified: 2015-05-21 18:19 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-21 18:19:17 UTC


Attachments (Terms of Use)

Description Cole Robinson 2014-09-24 16:14:04 UTC
I can't get resize-guest to work using f21 host/guest/client. Neither virt-viewer or virt-manager seem to trigger a resolution change in the guest.

FWIW a RHEL6 VM on f21 host/client resizes correctly with virt-viewer.

Comment 1 Sylvain Pasche 2014-09-25 19:45:26 UTC
I saw the same issue on a F20 host with a F21 guest (bug 1137047).

Comment 2 Robert Hancock 2014-10-20 04:38:02 UTC
Also seeing this issue on F20 host and F21 guest (both fully updated). journalctl -f in the guest does show this message popping out when I resize the VM window:

Oct 19 22:34:01 localhost.localdomain gnome-session[1492]: (gnome-settings-daemon:1577): color-plugin-WARNING **: unable to get EDID for xrandr-Virtual-0: unable to get EDID for output

It does appear the guest is figuring out that the window resolution has changed, because if I open up the Display control panel the actual window size shows up in the list of resolutions and I can select that to resize the window content. It's just not figuring out to resize the resolution automatically.

Comment 4 Florian Müllner 2015-05-21 12:47:26 UTC
(In reply to Christophe Fergeau from comment #3)
> This should be fixed by
> https://git.gnome.org/browse/mutter/commit/?h=gnome-3-
> 14&id=21d8c4b0325855e767ee597a668c27ff8573fb47 and
> https://git.gnome.org/browse/mutter/commit/?h=gnome-3-
> 14&id=4d08e89c16c65ac1bb0cf062a535dc956c2afae0

Those patches were included in 3.14.2, which has been in F21 for a while now - so can someone confirm that this is no longer an issue?

Comment 5 Cole Robinson 2015-05-21 18:19:17 UTC
Yes it appears to be working with F22 host and up to date F21 VM, thanks


Note You need to log in before you can comment on or make changes to this bug.